


.modal {

    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(255, 255, 255);

    user-select: none; /* Verhindert die Auswahl des Inhalts */
    -moz-user-select: none; /* Firefox */
    -webkit-user-select: none; /* Chrome, Safari, Opera */
    -ms-user-select: none; /* Internet Explorer/Edge */
    z-index: 99;

}

.modal-content {

    margin: auto;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgb(255, 255, 255);
   
    max-width: calc(100% - (70px + 2 * calc(max(var(--css_min_side_margin), (100% -  var(--css_max_sidewidth)) * 0.5))));
    max-height: 90%;


}

.close {
    
    position: absolute;
   
    top: var(--css_min_side_margin);
    right: calc(max(var(--css_min_side_margin), (100% -  var(--css_max_sidewidth)) * 0.5));
    color: #000000;
    cursor: pointer;
    background-color: rgb(255, 255, 255);

    font-size: 35px;
    font-weight: 300;
    line-height: 0.7;
   
    aspect-ratio: 1 / 1;

    z-index: 99;

    padding-bottom: 2px;
    padding-left: 2px;
    padding-right: 2px;
  
    

}


.close:hover,
.close:focus {

    text-decoration: none;
    cursor: pointer;
}

.prev, .next {

    font-family: 'SuissePfeil';
    font-weight: 400;
    font-size: 70px;
    line-height: 0.5;

    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: rgb(0, 0, 0);
   
    

    padding-top: 10px;
    border: none;
    outline: none;

  
}

.prev {
    left: calc(max(var(--css_min_side_margin), (100% -  var(--css_max_sidewidth)) * 0.5));
}

.next {
    right: calc(max(var(--css_min_side_margin), (100% -  var(--css_max_sidewidth)) * 0.5));
}

.varianten_highresimg {

    display: none; /*highresimg werden nicht geladen und sind nicht sichtbar*/

}

.varianten {

    display: grid; 
    grid-template-columns: 1fr; 
    gap: 30px 30px; 
    grid-template-areas:
      "."; 
    place-items: bottom;
    
    width: 100%; 
    height: 100%;

    padding-bottom: 30px;

}

.varianten img {

    outline-style: none;
    cursor: pointer;
    padding: 0px;
    box-sizing: border-box;
    overflow: hidden;
   
   
}

.varinten_img > img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;

}


